var mostrarMapaMobile = true;
$(document).ready(function () {
    $(".nav-button").click(function () {
        $(".nav-button,.primary-nav").toggleClass("open");
    });

    $(".primary-nav li,#item-menu-atualizar").click(function () {
        $(".nav-button,.primary-nav").toggleClass("open");
    });


    $('#menu-alarme').click(function () {
        //LoadingOn();
        escondeOpcoes();
        $('.nav-button').css({ display: 'none' });
        $('.nav-button-voltar').css({ display: 'block' });
        $('#detalhe-alarme').css('display', 'block');
        LoadingOff();

    });

    $(".nav-button-voltar").click(function () {
        if (mostrarMapaMobile)
            MostrarMapa();
    });

    $('#menu-mapa').click(function () {
        MostrarMapa();
    });

    $('#menu-fcv').click(function () {
        if (fcvCarregada) {
            escondeOpcoes();
            $('.nav-button').css({ display: 'none' });
            $('.nav-button-voltar').css({ display: 'block' });
            $('#detalhe-fcv').css('display', 'block');
        }
        else {
            LoadingOn(function () {
                escondeOpcoes();
                $('.nav-button').css({ display: 'none' });
                $('.nav-button-voltar').css({ display: 'block' });
                $('#detalhe-fcv').css('display', 'block');
                carregarDetalheFcv();
            });
        }
    });

    $('#menu-planejamento').click(function () {
        var self = this;
        LoadingOn(function () {
            planejamento();
            MostrarMapa();
            var planejamentoText = "";
            if (isPlanejamentoEstaSendoMostrado) {
                planejamentoText += plj.hide;
            } else {
                planejamentoText += plj.show;
            }
            $(self)
            .attr("title", planejamentoText)
                .find('span')
                .html("&nbsp;&nbsp;" + planejamentoText);
            LoadingOff();
        });
    });

    $('#menu-historico-enlace').click(function () {
        LoadingOn(function () {
            buscarEnlaceAtual();
            MostrarMapa();
        });
    });

    $('#menu-Limpar-Tudo').click(function () {
        LoadingOn(function () {
            limparTudo();
            MostrarMapa();
            LoadingOff();
        });
    });

});

function escondeOpcoes() {
    $('#detalhe-mapa,#detalhe-fcv,#detalhe-alarme').css('display', 'none');
}

function MostrarMapa() {
    $('.nav-button').css({ display: 'block' });
    $('.nav-button-voltar').css({ display: 'none' });
    setTimeout("mapResize", 300);
    escondeOpcoes();
    $('#detalhe-mapa').css('display', 'block');
    alturaMapa();
}